## haproxy 1.7.10

=== debian/changelog ===
haproxy (1.7.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Jan 2018 23:08:51 +0100

haproxy (1.7.10-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: stream-int: don't re-arm recv if send fails
    - BUG/MAJOR: stream: ensure analysers are always called upon close
    - BUG/MEDIUM: compression: Fix check on txn in smp_fetch_res_comp_algo
    - BUG/MEDIUM: connection: remove useless flag CO_FL_DATA_RD_SH
    - BUG/MEDIUM: deinit: correctly deinitialize the proxy and global
                  listener tasks
    - BUG/MEDIUM: deviceatlas: ignore not valuable HTTP request data
    - BUG/MEDIUM: epoll: ensure we always consider HUP and ERR
    - BUG/MEDIUM: http: Close streams for connections closed before a
                  redirect
    - BUG/MEDIUM: http: Fix a regression bug when a HTTP response is in
                  TUNNEL mode
    - BUG/MEDIUM: http: Return an error when url_dec sample converter
                  failed
    - BUG/MEDIUM: http: don't automatically forward request close
    - BUG/MEDIUM: http: don't disable lingering on requests with tunnelled
                  responses
    - BUG/MEDIUM: kqueue: Don't bother closing the kqueue after fork.
    - BUG/MEDIUM: lua: HTTP services must take care of body-less status
                  codes
    - BUG/MEDIUM: lua: fix crash when using bogus mode in
                  register_service()
    - BUG/MEDIUM: peers: set NOLINGER on the outgoing stream interface
    - BUG/MEDIUM: prevent buffers being overwritten during build_logline()
                  execution
    - BUG/MEDIUM: ssl: fix OCSP expiry calculation
    - BUG/MEDIUM: stream: don't ignore res.analyse_exp anymore
    - BUG/MEDIUM: stream: properly set the required HTTP analysers on
                  use-service
    - BUG/MEDIUM: tcp-check: don't call tcpcheck_main() from the I/O
                  handlers!
    - BUG/MEDIUM: tcp-check: properly indicate polling state before
                  performing I/O
    - BUG/MEDIUM: tcp/http: set-dst-port action broken
  * Fix VERDATE build argument to really use changelog date.
  * Bump compat to 10.
  * d/control: B-D on python3-sphinx instead of python-sphinx.
  * d/control: make haproxy-doc Priority: optional.
  * d/rules: enable PCRE JIT.
  * d/rules: use variables defined in *.mk.
  * d/patches: refresh and replace Wants/After=syslog.service with
    After=rsyslog.service. Closes: #882610.

 -- Vincent Bernat <bernat@debian.org>  Wed, 03 Jan 2018 08:29:48 +0100

haproxy (1.7.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Aug 2017 21:01:16 +0200
