## haproxy 1.8.7

=== debian/changelog ===
haproxy (1.8.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 Apr 2018 21:22:49 +0200

haproxy (1.8.7-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: cache: always initialize newly created objects
  * d/control: switch maintainer address to tracker.debian.org.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Apr 2018 07:58:34 +0200

haproxy (1.8.6-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: cache: fix random crashes caused by incorrect delete() on
                 non-first blocks
    - BUG/MAJOR: h2: remove orphaned streams from the send list before closing
    - BUG/MEDIUM: h2/threads: never release the task outside of the task
                  handler
    - BUG/MEDIUM: h2: always add a stream to the send or fctl list when
                  blocked
    - BUG/MEDIUM: h2: don't consider pending data on detach if connection
                  is in error

 -- Vincent Bernat <bernat@debian.org>  Thu, 05 Apr 2018 21:08:12 +0200

haproxy (1.8.5-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: threads/queue: Fix thread-safety issues on the queues
                 management
    - BUG/MEDIUM: buffer: Fix the wrapping case in bi_putblk
    - BUG/MEDIUM: buffer: Fix the wrapping case in bo_putblk
    - BUG/MEDIUM: fix a 100% cpu usage with cpu-map and nbthread/nbproc
    - BUG/MEDIUM: h2: also arm the h2 timeout when sending
    - BUG/MEDIUM: h2: always consume any trailing data after end of output
                  buffers
    - BUG/MEDIUM: h2: properly account for DATA padding in flow control
    - BUG/MEDIUM: http: Switch the HTTP response in tunnel mode as earlier
                  as possible
    - BUG/MEDIUM: spoe: Remove idle applets from idle list when HAProxy is
                  stopping
    - BUG/MEDIUM: ssl/sample: ssl_bc_* fetch keywords are broken.
    - BUG/MEDIUM: ssl: Don't always treat SSL_ERROR_SYSCALL as
                  unrecovarable.
    - BUG/MEDIUM: ssl: Shutdown the connection for reading on
                  SSL_ERROR_SYSCALL
    - BUG/MEDIUM: tcp-check: single connect rule can't detect DOWN servers
    - BUG/MEDIUM: threads/queue: wake up other threads upon dequeue
    - BUG/MEDIUM: threads/unix: Fix a deadlock when a listener is
                  temporarily disabled
  * Upload to unstable.
  * d/control: update Vcs-* fields to salsa.debian.org.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Mar 2018 11:31:25 +0200

haproxy (1.8.4-1) experimental; urgency=medium

  * New upstream stable release.
  * d/patches: document why dconv patch is not in series.
  * d/docs: ship NOTICE file in haproxy-doc.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Feb 2018 08:43:36 +0100

haproxy (1.8.3-1) experimental; urgency=medium

  * New upstream stable release.
  * Change default configuration of stats socket to support hitless
    reload.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Jan 2018 18:48:24 +0100

haproxy (1.8.2-1) experimental; urgency=medium

  * New upstream stable release
  * Refresh patches
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 24 Dec 2017 14:28:28 +0200

haproxy (1.8.1-1) experimental; urgency=medium

  * New upstream stable release.
  * Enable PCRE JIT.
  * systemd: replace Wants/After=syslog.service with After=rsyslog.service
    (Closes: #882610)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 03 Dec 2017 23:59:03 +0200

haproxy (1.8.0-2) experimental; urgency=medium

  * Use libatomic on platforms without 64-bit atomics. Fixes FTBFS on armel,
    mips, mipsel, powerpc, powerpcspe, sh4 and m68k.
  * d/rules: use variables defined in architecture.mk and buildflags.mk
  * d/rules: drop unreachable else case.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Nov 2017 01:21:40 +0200

haproxy (1.8.0-1) experimental; urgency=medium

  * New upstream stable series. Notable new features include:
    + HTTP/2 support
    + Support for multiple worker threads to allow scalability across CPUs
      (e.g. for SSL termination)
    + Seamless reloads
    + HTTP small object caching
    + Dynamic backend server configuration
    See https://www.haproxy.com/blog/whats-new-haproxy-1-8/ and
    https://www.mail-archive.com/haproxy@formilux.org/msg28004.html for more
    detailed descriptions of the new features.
  * Upload to experimental
  * Refresh all patches.
  * d/watch: switch to the 1.8.x upstream stable series
  * Bump Standards to 4.1.1
    + Switch haproxy-doc to Priority: optional from extra.
  * Bump compat to 10:
    + B-D on debhelper (>= 10)
    + Drop explicit dh-systemd dependency and invocation
    + Replace --no-restart-on-upgrade with --no-restart-after-upgrade
      --no-stop-on-upgrade to make up for DH 10 defaults.
  * B-D on libsystemd-dev and enable sd_notify() support on Linux.
  * B-D on python3-sphinx instead of python-sphinx.
  * d/rules: do not call dpkg-parsechangelog directly.
  * d/copyright: drop obsolete section.
  * Drop obsolete lintian overrides.
  * Do a full-service restart when upgrading from pre-1.8 versions and running
    under systemd, to migrate to the new process model and service type.
    + Document this in d/NEWS as well.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 28 Nov 2017 22:25:11 +0200
