=== debian/changelog ===
haproxy (1.8.8-1) unstable; urgency=high

  * New upstream version.
    - BUG/CRITICAL: h2: fix incorrect frame length check

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 17:51:55 +0200
