=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HAProxy Maintainers <haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
                libssl-dev,
                liblua5.3-dev,
+               libsystemd-dev [linux-any],
                python3-sphinx,
                zlib1g-dev
 Build-Depends-Indep: python, python-mako
 Homepage: http://www.haproxy.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
+Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
+Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy
 
 Package: haproxy
 Architecture: any
