=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	 LUA_INC=/usr/include/lua5.3
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-        MAKEARGS+= USE_NS=1 TARGET=linux2628
+        MAKEARGS+= USE_NS=1 TARGET=linux2628 USE_SYSTEMD=1
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -30,6 +30,10 @@
 
 ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
 	MAKEARGS+= USE_REGPARM=1
+endif
+
+ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4,$(DEB_HOST_ARCH)),)
+	MAKEARGS+= ADDLIB=-latomic
 endif
 
 MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
