=== debian/tests/control ===
Tests: cli
Depends: haproxy, socat
Restrictions: needs-root
