## haproxy 1.8.9

=== debian/changelog ===
haproxy (1.8.9-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 29 May 2018 08:32:37 +0200

haproxy (1.8.9-2) unstable; urgency=high

  * d/patches: fix CVE-2018-11469: do not cache when an Authorization
    header is present. Closes: #900084.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 May 2018 16:05:07 +0200

haproxy (1.8.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 22 May 2018 08:04:51 +0200

haproxy (1.8.9-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: channel: Fix crash when trying to read from a closed socket
    - BUG/MEDIUM: h2: implement missing support for chunked encoded uploads
    - BUG/MEDIUM: http: don't always abort transfers on CF_SHUTR
    - BUG/MEDIUM: lua: Fix segmentation fault if a Lua task exits
    - BUG/MEDIUM: pollers: Use a global list for fd shared between threads
    - BUG/MEDIUM: ssl: properly protect SSL cert generation
    - BUG/MEDIUM: task: Don't free a task that is about to be run
    - BUG/MEDIUM: threads: Fix the sync point for more than 32 threads
  * d/rsyslog.conf: use modern syntax and statements, thanks to Guillem
    Jover. Closes: #897914.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 May 2018 15:00:17 +0200

haproxy (1.8.8-1~bpo8+1) jessie-backports-sloppy; urgency=high

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 20:13:40 +0200

haproxy (1.8.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 Apr 2018 21:33:19 +0200

haproxy (1.7.10-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Jan 2018 23:13:01 +0100

haproxy (1.7.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Aug 2017 21:06:17 +0200

haproxy (1.7.8-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jul 2017 08:48:35 +0200

haproxy (1.7.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 Jun 2017 20:42:23 +0200
