=== debian/rules ===
--- 
+++ 
@@ -87,4 +87,4 @@
 	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg
