## haproxy 1.8.10

=== debian/changelog ===
haproxy (1.8.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Jun 2018 08:19:23 +0200

haproxy (1.8.10-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: lua: Dead lock with sockets
    - BUG/MAJOR: map: fix a segfault when using http-request set-map
    - BUG/MAJOR: ssl: OpenSSL context is stored in non-reserved memory slot
    - BUG/MAJOR: ssl: Random crash with cipherlist capture
    - BUG/MEDIUM: cache: don't cache when an Authorization header is present
    - BUG/MEDIUM: dns: Delay the attempt to run a DNS resolution on check
                  failure.
    - BUG/MEDIUM: fd: Don't modify the update_mask in fd_dodelete().
    - BUG/MEDIUM: fd: Only check update_mask against all_threads_mask.
    - BUG/MEDIUM: servers: Add srv_addr default placeholder to the state file
    - BUG/MEDIUM: stick-tables: Decrement ref_cnt in table_* converters
    - BUG/MEDIUM: threads: Use the sync point to check active jobs and exit
    - BUG/MEDIUM: threads: handle signal queue only in thread 0
  * Remove patch from CVE. Included upstream.
  * d/patches: add a patch for clean stop with systemd.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jun 2018 20:21:37 +0200

haproxy (1.8.9-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 29 May 2018 08:27:41 +0200

haproxy (1.8.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 22 May 2018 07:57:33 +0200

haproxy (1.8.8-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 19:18:45 +0200
