## haproxy 1.8.12

=== debian/changelog ===
haproxy (1.8.12-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 29 Jun 2018 08:33:19 +0200

haproxy (1.8.12-1) unstable; urgency=medium

  * New upstream version.
     - BUG/MAJOR: stick_table: Complete incomplete SEGV fix

 -- Vincent Bernat <bernat@debian.org>  Wed, 27 Jun 2018 20:05:50 +0200

haproxy (1.8.11-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: Stick-tables crash with segfault when the key is not in
                 the stick-table

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Jun 2018 18:26:05 +0200
