## haproxy 1.8.13

=== debian/changelog ===
haproxy (1.8.13-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 22:57:38 +0300

haproxy (1.8.13-2) unstable; urgency=high

  * Fix improper sign check on the HPACK header index value (CVE-2018-14645)
  * Bump Standards-Version to 4.2.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 22:46:58 +0300

haproxy (1.8.13-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MEDIUM: h2: don't accept new streams if conn_streams are still
                  in excess
    - BUG/MEDIUM: h2: make sure the last stream closes the connection
                  after a timeout
    - BUG/MEDIUM: h2: never leave pending data in the output buffer on close
    - BUG/MEDIUM: h2: prevent orphaned streams from blocking a connection
                  forever
    - BUG/MEDIUM: stats: don't ask for more data as long as we're responding
    - BUG/MEDIUM: stream-int: don't immediately enable reading when the
                  buffer was reportedly full
    - BUG/MEDIUM: threads/sync: use sched_yield when available
    - BUG/MEDIUM: threads: Fix the exit condition of the thread barrier
    - BUG/MEDIUM: threads: properly fix nbthreads == MAX_THREADS
    - BUG/MEDIUM: threads: unbreak "bind" referencing an incorrect thread
                  number
  * d/patches: drop systemd exit status patch (applied upstream).

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Aug 2018 11:36:20 +0200
