=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
-               libssl-dev (>= 1.0.2),
+               libssl-dev,
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
@@ -29,20 +29,6 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
-
-Package: haproxy-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, haproxy (= ${binary:Version})
-Description: fast and reliable load balancing reverse proxy (debug symbols)
- HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
- availability environments. It features connection persistence through HTTP
- cookies, load balancing, header addition, modification, deletion both ways. It
- has request blocking capabilities and provides interface to display server
- status.
- .
- This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc
