## haproxy 1.8.14

=== debian/changelog ===
haproxy (1.8.14-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Oct 2018 18:00:59 +0100

haproxy (1.8.14-1) unstable; urgency=medium

  * New upstream version.
    - BUG/CRITICAL: hpack: fix improper sign check on the header index
                    value (already fixed in 1.8.13-2)
    - BUG/MAJOR: kqueue: Don't reset the changes number by accident.
    - BUG/MAJOR: thread: lua: Wrong SSL context initialization.

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Sep 2018 12:25:03 +0200

haproxy (1.8.13-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 23:08:02 +0300
