## haproxy 1.8.15

=== debian/changelog ===
haproxy (1.8.15-1) unstable; urgency=high

  [ Vincent Bernat ]
  * d/rules: switch to pcre2. Closes: #911933.

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.8.15
    - BUG: dns: Fix off-by-one write in dns_validate_dns_response() (
    - BUG: dns: Fix out-of-bounds read via signedness error in
      dns_validate_dns_response()
    - BUG: dns: Prevent out-of-bounds read in dns_read_name()
    - BUG: dns: Prevent out-of-bounds read in dns_validate_dns_response()
      (CVE-2018-20102, closes: #916308)
    - BUG: dns: Prevent stack-exhaustion via recursion loop in dns_read_name
      (CVE-2018-20103, closes: #916307)
    - BUG/MAJOR: http: http_txn_get_path() may deference an inexisting buffer

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 14 Dec 2018 15:31:04 +0200
