=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	 IGNOREGIT=true \
 	 MANDIR=/usr/share/man \
 	 DOCDIR=/usr/share/doc/haproxy \
-	 USE_PCRE=1 PCREDIR= \
-	 USE_PCRE_JIT=1 \
+	 USE_PCRE2=1 \
+	 USE_PCRE2_JIT=1 \
 	 USE_OPENSSL=1 \
 	 USE_ZLIB=1 \
 	 USE_LUA=1 \
@@ -87,4 +87,4 @@
 	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbg-package=haproxy-dbg
+	dh_strip --dbgsym-migration="haproxy-dbg"
