## haproxy 1.8.16

=== debian/changelog ===
haproxy (1.8.16-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 03 Jan 2019 17:26:40 +0200

haproxy (1.8.16-2) unstable; urgency=high

  * Fix out-of-bounds read in HTTP2 mux (CVE-2018-20615).
    This would possibly lead to a crash in H2 HEADERS frame decoder when the
    PRIORITY flag is present, due to a missing frame size check.
  * Bump Standards-Version to 4.3.0; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 03 Jan 2019 12:08:07 +0200

haproxy (1.8.16-1) unstable; urgency=high

  * New upstream version 1.8.16.
    - BUG/MEDIUM: dns: Don't prevent reading the last byte of the payload
      in dns_validate_response()
    - BUG/MEDIUM: dns: overflowed dns name start position causing invalid
      dns error
  * d/rules: do not override CFLAGS, hijack DEBUG_CFLAGS for this instead.

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Dec 2018 14:27:11 +0100
