## haproxy 1.8.17

=== debian/changelog ===
haproxy (1.8.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Jan 2019 19:03:40 +0100

haproxy (1.8.17-1) unstable; urgency=medium

  * New upstream version 1.8.17
    - BUG/MAJOR: stream-int: Update the stream expiration date in
      stream_int_notify()
    - BUG/MEDIUM: mux-h2: mark that we have too many CS once we have more than
      the max
    - BUG/MEDIUM: server: Also copy "check-sni" for server templates.
    - BUG/MEDIUM: cli: make "show sess" really thread-safe
    - BUG/MEDIUM: lua: dead lock when Lua tasks are trigerred
  * Drop CVE-2018-20615.patch; merged upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Jan 2019 20:58:05 +0200
