## haproxy 1.8.18

=== debian/changelog ===
haproxy (1.8.18-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Feb 2019 15:57:58 +0100

haproxy (1.8.18-1) unstable; urgency=medium

  * New upstream version 1.8.18
    - BUG/MAJOR: cache: fix confusion between zero and uninitialized cache
                 key
    - BUG/MAJOR: config: verify that targets of track-sc and stick rules
                 are present
    - BUG/MAJOR: spoe: verify that backends used by SPOE cover all their
                 callers' processes

 -- Vincent Bernat <bernat@debian.org>  Wed, 06 Feb 2019 18:44:54 +0100
